## com.lowagie.text.pdf.hyphenation
Class TernaryTree.Iterator.Item

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.TernaryTree.Iterator.Item

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  TernaryTree.Iterator

    private class TernaryTree.Iterator.Item

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`(package private) char` `child`
`(package private) char` `parent`

Constructor Summary
`TernaryTree.Iterator.Item()`
`TernaryTree.Iterator.Item(char p, char c)`

Method Summary
`java.lang.Object` `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    char parent

### child

    char child

Constructor Detail

### TernaryTree.Iterator.Item

    public TernaryTree.Iterator.Item()

### TernaryTree.Iterator.Item

    public TernaryTree.Iterator.Item(char p,
                                     char c)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`